Bug 253882 - daemon should not run as "nobody"
daemon should not run as "nobody"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: memcached (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Paul Lindner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 12:27 EDT by Joe Orton
Modified: 2007-12-22 16:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-22 16:02:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
run memcached as user memcached (2.50 KB, text/plain)
2007-08-22 17:18 EDT, Ruben Kerkhof
no flags Details

  None (edit)
Description Joe Orton 2007-08-22 12:27:01 EDT
Description of problem:
The idea of the "nobody" user is that no process on the system runs as this user.
Daemons should not be configured to run as the "nobody" user by default; doing
so is a security risk.
Comment 1 Ruben Kerkhof 2007-08-22 17:18:36 EDT
Created attachment 164108 [details]
run memcached as user memcached

Hi Paul,

Patch against cvs devel attached, which fixes this.
Comment 2 Paul Lindner 2007-08-23 11:17:30 EDT
okay, I'll apply that patch to devel.


Note You need to log in before you can comment on or make changes to this bug.